{
  "log": {
    "level": "info",
    "timestamp": true
  },
  "experimental": {
    "clash_api": {
      "external_controller": "127.0.0.1:20123",
      "external_ui": "",
      "secret": "ID_3jon974a",
      "external_ui_download_url": "",
      "default_mode": "global"
    },
    "cache_file": {
      "enabled": true,
      "store_fakeip": true,
      "store_rdrc": false
    }
  },
  "inbounds": [
    {
      "type": "mixed",
      "listen": "127.0.0.1",
      "listen_port": 52005,
      "sniff": true,
      "sniff_override_destination": false,
      "domain_strategy": "ipv4_only",
      "tcp_fast_open": false,
      "tcp_multi_path": false,
      "udp_fragment": false
    },
    {
      "type": "socks",
      "listen": "127.0.0.1",
      "listen_port": 52009,
      "sniff": true,
      "sniff_override_destination": false,
      "domain_strategy": "ipv4_only",
      "tcp_fast_open": false,
      "tcp_multi_path": false,
      "udp_fragment": false
    }
  ],
  "outbounds": [
    {
      "tag": "youtube",
      "type": "selector",
      "outbounds": [
        "油管自动",
        "you_V8_usa.visa.com_443",
        "you_V9_myanmar.visa.com_8443",
        "you_V10_www.visa.com.tw_2053",
        "you_V11_www.visaeurope.ch_2083",
        "you_V12_www.visa.com.br_2087",
        "you_V13_www.visasoutheasteurope.com_2096",
        "ZD_V8_usa.visa.com_443",
        "ZD_V9_myanmar.visa.com_8443",
        "ZD_V10_www.visa.com.tw_2053",
        "ZD_V11_www.visaeurope.ch_2083",
        "ZD_V12_www.visa.com.br_2087",
        "ZD_V13_www.visasoutheasteurope.com_2096"
      ]
    },
    {
      "tag": "油管自动",
      "type": "urltest",
      "outbounds": [
        "you_V8_usa.visa.com_443",
        "you_V9_myanmar.visa.com_8443",
        "you_V10_www.visa.com.tw_2053",
        "you_V11_www.visaeurope.ch_2083",
        "you_V12_www.visa.com.br_2087",
        "you_V13_www.visasoutheasteurope.com_2096",
        "ZD_V8_usa.visa.com_443",
        "ZD_V9_myanmar.visa.com_8443",
        "ZD_V10_www.visa.com.tw_2053",
        "ZD_V11_www.visaeurope.ch_2083",
        "ZD_V12_www.visa.com.br_2087",
        "ZD_V13_www.visasoutheasteurope.com_2096"
      ],
      "url": "https://www.gstatic.com/generate_204",
      "interval": "300s",
      "tolerance": 1
    },
    {
      "tag": "tg",
      "type": "urltest",
      "outbounds": [
        "kmw_V1_www.visa.com_80",
        "kmw_V2_cis.visa.com_8080",
        "kmw_V3_africa.visa.com_8880",
        "kmw_V4_www.visa.com.sg_2052",
        "kmw_V5_www.visaeurope.at_2082",
        "kmw_V6_www.visa.com.mt_2086",
        "kmw_V7_qa.visamiddleeast.com_2095",
        "kmw_V8_usa.visa.com_443",
        "kmw_V9_myanmar.visa.com_8443",
        "kmw_V10_www.visa.com.tw_2053",
        "kmw_V11_www.visaeurope.ch_2083",
        "kmw_V12_www.visa.com.br_2087",
        "kmw_V13_www.visasoutheasteurope.com_2096"
      ],
      "url": "https://www.gstatic.com/generate_204",
      "interval": "300s",
      "tolerance": 150
    },
    {
      "tag": "a",
      "type": "urltest",
      "outbounds": [
        "kmw_V1_www.visa.com_80",
        "kmw_V2_cis.visa.com_8080",
        "kmw_V3_africa.visa.com_8880",
        "kmw_V4_www.visa.com.sg_2052",
        "kmw_V5_www.visaeurope.at_2082",
        "kmw_V6_www.visa.com.mt_2086",
        "kmw_V7_qa.visamiddleeast.com_2095",
        "kmw_V8_usa.visa.com_443",
        "kmw_V9_myanmar.visa.com_8443",
        "kmw_V10_www.visa.com.tw_2053",
        "kmw_V11_www.visaeurope.ch_2083",
        "kmw_V12_www.visa.com.br_2087",
        "kmw_V13_www.visasoutheasteurope.com_2096"
      ],
      "url": "https://www.gstatic.com/generate_204",
      "interval": "300s",
      "tolerance": 50
    },
    {
      "tag": "🚀 节点选择",
      "type": "selector",
      "outbounds": [
        "🎈 自动选择",
        "23_V1_www.visa.com_80",
        "23_V2_cis.visa.com_8080",
        "23_V3_africa.visa.com_8880",
        "23_V4_www.visa.com.sg_2052",
        "23_V5_www.visaeurope.at_2082",
        "23_V6_www.visa.com.mt_2086",
        "23_V7_qa.visamiddleeast.com_2095",
        "23_V8_usa.visa.com_443",
        "23_V9_myanmar.visa.com_8443",
        "23_V10_www.visa.com.tw_2053",
        "23_V11_www.visaeurope.ch_2083",
        "23_V12_www.visa.com.br_2087",
        "23_V13_www.visasoutheasteurope.com_2096",
        "71_V8_usa.visa.com_443",
        "71_V9_myanmar.visa.com_8443",
        "71_V10_www.visa.com.tw_2053",
        "71_V11_www.visaeurope.ch_2083",
        "71_V12_www.visa.com.br_2087",
        "71_V13_www.visasoutheasteurope.com_2096",
        "kmw_V1_www.visa.com_80",
        "kmw_V2_cis.visa.com_8080",
        "kmw_V3_africa.visa.com_8880",
        "kmw_V4_www.visa.com.sg_2052",
        "kmw_V5_www.visaeurope.at_2082",
        "kmw_V6_www.visa.com.mt_2086",
        "kmw_V7_qa.visamiddleeast.com_2095",
        "kmw_V8_usa.visa.com_443",
        "kmw_V9_myanmar.visa.com_8443",
        "kmw_V10_www.visa.com.tw_2053",
        "kmw_V11_www.visaeurope.ch_2083",
        "kmw_V12_www.visa.com.br_2087",
        "kmw_V13_www.visasoutheasteurope.com_2096",
        "v029_V1_www.visa.com_80",
        "v029_V2_cis.visa.com_8080",
        "v029_V3_africa.visa.com_8880",
        "v029_V4_www.visa.com.sg_2052",
        "v029_V5_www.visaeurope.at_2082",
        "v029_V6_www.visa.com.mt_2086",
        "v029_V7_qa.visamiddleeast.com_2095",
        "v029_V8_usa.visa.com_443",
        "v029_V9_myanmar.visa.com_8443",
        "v029_V10_www.visa.com.tw_2053",
        "v029_V11_www.visaeurope.ch_2083",
        "v029_V12_www.visa.com.br_2087",
        "v029_V13_www.visasoutheasteurope.com_2096",
        "you_V8_usa.visa.com_443",
        "you_V9_myanmar.visa.com_8443",
        "you_V10_www.visa.com.tw_2053",
        "you_V11_www.visaeurope.ch_2083",
        "you_V12_www.visa.com.br_2087",
        "you_V13_www.visasoutheasteurope.com_2096",
        "ZD_V8_usa.visa.com_443",
        "ZD_V9_myanmar.visa.com_8443",
        "ZD_V10_www.visa.com.tw_2053",
        "ZD_V11_www.visaeurope.ch_2083",
        "ZD_V12_www.visa.com.br_2087",
        "ZD_V13_www.visasoutheasteurope.com_2096"
      ]
    },
    {
      "tag": "🎈 自动选择",
      "type": "urltest",
      "outbounds": [
        "23_V1_www.visa.com_80",
        "23_V2_cis.visa.com_8080",
        "23_V3_africa.visa.com_8880",
        "23_V4_www.visa.com.sg_2052",
        "23_V5_www.visaeurope.at_2082",
        "23_V6_www.visa.com.mt_2086",
        "23_V7_qa.visamiddleeast.com_2095",
        "23_V8_usa.visa.com_443",
        "23_V9_myanmar.visa.com_8443",
        "23_V10_www.visa.com.tw_2053",
        "23_V11_www.visaeurope.ch_2083",
        "23_V12_www.visa.com.br_2087",
        "23_V13_www.visasoutheasteurope.com_2096",
        "71_V8_usa.visa.com_443",
        "71_V9_myanmar.visa.com_8443",
        "71_V10_www.visa.com.tw_2053",
        "71_V11_www.visaeurope.ch_2083",
        "71_V12_www.visa.com.br_2087",
        "71_V13_www.visasoutheasteurope.com_2096"
      ],
      "url": "https://www.gstatic.com/generate_204",
      "interval": "300s",
      "tolerance": 50
    },
    {
      "tag": "🎯 全球直连",
      "type": "selector",
      "outbounds": [
        "direct",
        "block"
      ]
    },
    {
      "tag": "🛑 全球拦截",
      "type": "selector",
      "outbounds": [
        "block",
        "direct"
      ]
    },
    {
      "tag": "🐟 漏网之鱼",
      "type": "selector",
      "outbounds": [
        "🚀 节点选择",
        "🎯 全球直连"
      ]
    },
    {
      "tag": "GLOBAL",
      "type": "selector",
      "outbounds": [
        "direct",
        "block",
        "🚀 节点选择",
        "🎈 自动选择",
        "🎯 全球直连",
        "🛑 全球拦截",
        "🐟 漏网之鱼",
        "23_V1_www.visa.com_80",
        "23_V2_cis.visa.com_8080",
        "23_V3_africa.visa.com_8880",
        "23_V4_www.visa.com.sg_2052",
        "23_V5_www.visaeurope.at_2082",
        "23_V6_www.visa.com.mt_2086",
        "23_V7_qa.visamiddleeast.com_2095",
        "23_V8_usa.visa.com_443",
        "23_V9_myanmar.visa.com_8443",
        "23_V10_www.visa.com.tw_2053",
        "23_V11_www.visaeurope.ch_2083",
        "23_V12_www.visa.com.br_2087",
        "23_V13_www.visasoutheasteurope.com_2096",
        "71_V8_usa.visa.com_443",
        "71_V9_myanmar.visa.com_8443",
        "71_V10_www.visa.com.tw_2053",
        "71_V11_www.visaeurope.ch_2083",
        "71_V12_www.visa.com.br_2087",
        "71_V13_www.visasoutheasteurope.com_2096",
        "kmw_V1_www.visa.com_80",
        "kmw_V2_cis.visa.com_8080",
        "kmw_V3_africa.visa.com_8880",
        "kmw_V4_www.visa.com.sg_2052",
        "kmw_V5_www.visaeurope.at_2082",
        "kmw_V6_www.visa.com.mt_2086",
        "kmw_V7_qa.visamiddleeast.com_2095",
        "kmw_V8_usa.visa.com_443",
        "kmw_V9_myanmar.visa.com_8443",
        "kmw_V10_www.visa.com.tw_2053",
        "kmw_V11_www.visaeurope.ch_2083",
        "kmw_V12_www.visa.com.br_2087",
        "kmw_V13_www.visasoutheasteurope.com_2096",
        "ZD_V8_usa.visa.com_443",
        "ZD_V9_myanmar.visa.com_8443",
        "ZD_V10_www.visa.com.tw_2053",
        "ZD_V11_www.visaeurope.ch_2083",
        "ZD_V12_www.visa.com.br_2087",
        "ZD_V13_www.visasoutheasteurope.com_2096",
        "you_V8_usa.visa.com_443",
        "you_V9_myanmar.visa.com_8443",
        "you_V10_www.visa.com.tw_2053",
        "you_V11_www.visaeurope.ch_2083",
        "you_V12_www.visa.com.br_2087",
        "you_V13_www.visasoutheasteurope.com_2096",
        "v029_V1_www.visa.com_80",
        "v029_V2_cis.visa.com_8080",
        "v029_V3_africa.visa.com_8880",
        "v029_V4_www.visa.com.sg_2052",
        "v029_V5_www.visaeurope.at_2082",
        "v029_V6_www.visa.com.mt_2086",
        "v029_V7_qa.visamiddleeast.com_2095",
        "v029_V8_usa.visa.com_443",
        "v029_V9_myanmar.visa.com_8443",
        "v029_V10_www.visa.com.tw_2053",
        "v029_V11_www.visaeurope.ch_2083",
        "v029_V12_www.visa.com.br_2087",
        "v029_V13_www.visasoutheasteurope.com_2096"
      ]
    },
    {
      "server": "usa.visa.com",
      "server_port": 443,
      "tag": "you_V8_usa.visa.com_443",
      "tls": {
        "enabled": true,
        "server_name": "v.youxj.us.kg",
        "insecure": false,
        "utls": {
          "enabled": true,
          "fingerprint": "chrome"
        }
      },
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "v.youxj.us.kg"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "e4976615-5f89-412e-85e6-8b1adaf5b997"
    },
    {
      "server": "myanmar.visa.com",
      "server_port": 8443,
      "tag": "you_V9_myanmar.visa.com_8443",
      "tls": {
        "enabled": true,
        "server_name": "v.youxj.us.kg",
        "insecure": false,
        "utls": {
          "enabled": true,
          "fingerprint": "chrome"
        }
      },
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "v.youxj.us.kg"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "e4976615-5f89-412e-85e6-8b1adaf5b997"
    },
    {
      "server": "www.visa.com.tw",
      "server_port": 2053,
      "tag": "you_V10_www.visa.com.tw_2053",
      "tls": {
        "enabled": true,
        "server_name": "v.youxj.us.kg",
        "insecure": false,
        "utls": {
          "enabled": true,
          "fingerprint": "chrome"
        }
      },
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "v.youxj.us.kg"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "e4976615-5f89-412e-85e6-8b1adaf5b997"
    },
    {
      "server": "www.visaeurope.ch",
      "server_port": 2083,
      "tag": "you_V11_www.visaeurope.ch_2083",
      "tls": {
        "enabled": true,
        "server_name": "v.youxj.us.kg",
        "insecure": false,
        "utls": {
          "enabled": true,
          "fingerprint": "chrome"
        }
      },
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "v.youxj.us.kg"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "e4976615-5f89-412e-85e6-8b1adaf5b997"
    },
    {
      "server": "www.visa.com.br",
      "server_port": 2087,
      "tag": "you_V12_www.visa.com.br_2087",
      "tls": {
        "enabled": true,
        "server_name": "v.youxj.us.kg",
        "insecure": false,
        "utls": {
          "enabled": true,
          "fingerprint": "chrome"
        }
      },
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "v.youxj.us.kg"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "e4976615-5f89-412e-85e6-8b1adaf5b997"
    },
    {
      "server": "www.visasoutheasteurope.com",
      "server_port": 2096,
      "tag": "you_V13_www.visasoutheasteurope.com_2096",
      "tls": {
        "enabled": true,
        "server_name": "v.youxj.us.kg",
        "insecure": false,
        "utls": {
          "enabled": true,
          "fingerprint": "chrome"
        }
      },
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "v.youxj.us.kg"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "e4976615-5f89-412e-85e6-8b1adaf5b997"
    },
    {
      "server": "usa.visa.com",
      "server_port": 443,
      "tag": "ZD_V8_usa.visa.com_443",
      "tls": {
        "enabled": true,
        "server_name": "gg-7fo.pages.dev",
        "insecure": false,
        "utls": {
          "enabled": true,
          "fingerprint": "chrome"
        }
      },
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "gg-7fo.pages.dev"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "ed82b96b-c4b8-4ed1-81b8-1e5c2606570d"
    },
    {
      "server": "myanmar.visa.com",
      "server_port": 8443,
      "tag": "ZD_V9_myanmar.visa.com_8443",
      "tls": {
        "enabled": true,
        "server_name": "gg-7fo.pages.dev",
        "insecure": false,
        "utls": {
          "enabled": true,
          "fingerprint": "chrome"
        }
      },
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "gg-7fo.pages.dev"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "ed82b96b-c4b8-4ed1-81b8-1e5c2606570d"
    },
    {
      "server": "www.visa.com.tw",
      "server_port": 2053,
      "tag": "ZD_V10_www.visa.com.tw_2053",
      "tls": {
        "enabled": true,
        "server_name": "gg-7fo.pages.dev",
        "insecure": false,
        "utls": {
          "enabled": true,
          "fingerprint": "chrome"
        }
      },
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "gg-7fo.pages.dev"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "ed82b96b-c4b8-4ed1-81b8-1e5c2606570d"
    },
    {
      "server": "www.visaeurope.ch",
      "server_port": 2083,
      "tag": "ZD_V11_www.visaeurope.ch_2083",
      "tls": {
        "enabled": true,
        "server_name": "gg-7fo.pages.dev",
        "insecure": false,
        "utls": {
          "enabled": true,
          "fingerprint": "chrome"
        }
      },
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "gg-7fo.pages.dev"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "ed82b96b-c4b8-4ed1-81b8-1e5c2606570d"
    },
    {
      "server": "www.visa.com.br",
      "server_port": 2087,
      "tag": "ZD_V12_www.visa.com.br_2087",
      "tls": {
        "enabled": true,
        "server_name": "gg-7fo.pages.dev",
        "insecure": false,
        "utls": {
          "enabled": true,
          "fingerprint": "chrome"
        }
      },
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "gg-7fo.pages.dev"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "ed82b96b-c4b8-4ed1-81b8-1e5c2606570d"
    },
    {
      "server": "www.visasoutheasteurope.com",
      "server_port": 2096,
      "tag": "ZD_V13_www.visasoutheasteurope.com_2096",
      "tls": {
        "enabled": true,
        "server_name": "gg-7fo.pages.dev",
        "insecure": false,
        "utls": {
          "enabled": true,
          "fingerprint": "chrome"
        }
      },
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "gg-7fo.pages.dev"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "ed82b96b-c4b8-4ed1-81b8-1e5c2606570d"
    },
    {
      "server": "www.visa.com",
      "server_port": 80,
      "tag": "kmw_V1_www.visa.com_80",
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "v.029.workers.dev"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "88a571fb-4fd2-4b37-8586-1b7d8729bb5c"
    },
    {
      "server": "cis.visa.com",
      "server_port": 8080,
      "tag": "kmw_V2_cis.visa.com_8080",
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "v.029.workers.dev"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "88a571fb-4fd2-4b37-8586-1b7d8729bb5c"
    },
    {
      "server": "africa.visa.com",
      "server_port": 8880,
      "tag": "kmw_V3_africa.visa.com_8880",
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "v.029.workers.dev"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "88a571fb-4fd2-4b37-8586-1b7d8729bb5c"
    },
    {
      "server": "www.visa.com.sg",
      "server_port": 2052,
      "tag": "kmw_V4_www.visa.com.sg_2052",
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "v.029.workers.dev"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "88a571fb-4fd2-4b37-8586-1b7d8729bb5c"
    },
    {
      "server": "www.visaeurope.at",
      "server_port": 2082,
      "tag": "kmw_V5_www.visaeurope.at_2082",
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "v.029.workers.dev"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "88a571fb-4fd2-4b37-8586-1b7d8729bb5c"
    },
    {
      "server": "www.visa.com.mt",
      "server_port": 2086,
      "tag": "kmw_V6_www.visa.com.mt_2086",
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "v.029.workers.dev"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "88a571fb-4fd2-4b37-8586-1b7d8729bb5c"
    },
    {
      "server": "qa.visamiddleeast.com",
      "server_port": 2095,
      "tag": "kmw_V7_qa.visamiddleeast.com_2095",
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "v.029.workers.dev"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "88a571fb-4fd2-4b37-8586-1b7d8729bb5c"
    },
    {
      "server": "usa.visa.com",
      "server_port": 443,
      "tag": "kmw_V8_usa.visa.com_443",
      "tls": {
        "enabled": true,
        "server_name": "v.029.workers.dev",
        "insecure": false,
        "utls": {
          "enabled": true,
          "fingerprint": "chrome"
        }
      },
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "v.029.workers.dev"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "88a571fb-4fd2-4b37-8586-1b7d8729bb5c"
    },
    {
      "server": "myanmar.visa.com",
      "server_port": 8443,
      "tag": "kmw_V9_myanmar.visa.com_8443",
      "tls": {
        "enabled": true,
        "server_name": "v.029.workers.dev",
        "insecure": false,
        "utls": {
          "enabled": true,
          "fingerprint": "chrome"
        }
      },
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "v.029.workers.dev"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "88a571fb-4fd2-4b37-8586-1b7d8729bb5c"
    },
    {
      "server": "www.visa.com.tw",
      "server_port": 2053,
      "tag": "kmw_V10_www.visa.com.tw_2053",
      "tls": {
        "enabled": true,
        "server_name": "v.029.workers.dev",
        "insecure": false,
        "utls": {
          "enabled": true,
          "fingerprint": "chrome"
        }
      },
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "v.029.workers.dev"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "88a571fb-4fd2-4b37-8586-1b7d8729bb5c"
    },
    {
      "server": "www.visaeurope.ch",
      "server_port": 2083,
      "tag": "kmw_V11_www.visaeurope.ch_2083",
      "tls": {
        "enabled": true,
        "server_name": "v.029.workers.dev",
        "insecure": false,
        "utls": {
          "enabled": true,
          "fingerprint": "chrome"
        }
      },
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "v.029.workers.dev"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "88a571fb-4fd2-4b37-8586-1b7d8729bb5c"
    },
    {
      "server": "www.visa.com.br",
      "server_port": 2087,
      "tag": "kmw_V12_www.visa.com.br_2087",
      "tls": {
        "enabled": true,
        "server_name": "v.029.workers.dev",
        "insecure": false,
        "utls": {
          "enabled": true,
          "fingerprint": "chrome"
        }
      },
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "v.029.workers.dev"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "88a571fb-4fd2-4b37-8586-1b7d8729bb5c"
    },
    {
      "server": "www.visasoutheasteurope.com",
      "server_port": 2096,
      "tag": "kmw_V13_www.visasoutheasteurope.com_2096",
      "tls": {
        "enabled": true,
        "server_name": "v.029.workers.dev",
        "insecure": false,
        "utls": {
          "enabled": true,
          "fingerprint": "chrome"
        }
      },
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "v.029.workers.dev"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "88a571fb-4fd2-4b37-8586-1b7d8729bb5c"
    },
    {
      "server": "www.visa.com",
      "server_port": 80,
      "tag": "23_V1_www.visa.com_80",
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "23.vvread.workers.dev"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "6760def2-aa2e-430d-bc46-094ce8c336a3"
    },
    {
      "server": "cis.visa.com",
      "server_port": 8080,
      "tag": "23_V2_cis.visa.com_8080",
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "23.vvread.workers.dev"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "6760def2-aa2e-430d-bc46-094ce8c336a3"
    },
    {
      "server": "africa.visa.com",
      "server_port": 8880,
      "tag": "23_V3_africa.visa.com_8880",
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "23.vvread.workers.dev"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "6760def2-aa2e-430d-bc46-094ce8c336a3"
    },
    {
      "server": "www.visa.com.sg",
      "server_port": 2052,
      "tag": "23_V4_www.visa.com.sg_2052",
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "23.vvread.workers.dev"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "6760def2-aa2e-430d-bc46-094ce8c336a3"
    },
    {
      "server": "www.visaeurope.at",
      "server_port": 2082,
      "tag": "23_V5_www.visaeurope.at_2082",
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "23.vvread.workers.dev"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "6760def2-aa2e-430d-bc46-094ce8c336a3"
    },
    {
      "server": "www.visa.com.mt",
      "server_port": 2086,
      "tag": "23_V6_www.visa.com.mt_2086",
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "23.vvread.workers.dev"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "6760def2-aa2e-430d-bc46-094ce8c336a3"
    },
    {
      "server": "qa.visamiddleeast.com",
      "server_port": 2095,
      "tag": "23_V7_qa.visamiddleeast.com_2095",
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "23.vvread.workers.dev"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "6760def2-aa2e-430d-bc46-094ce8c336a3"
    },
    {
      "server": "usa.visa.com",
      "server_port": 443,
      "tag": "23_V8_usa.visa.com_443",
      "tls": {
        "enabled": true,
        "server_name": "23.vvread.workers.dev",
        "insecure": false,
        "utls": {
          "enabled": true,
          "fingerprint": "chrome"
        }
      },
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "23.vvread.workers.dev"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "6760def2-aa2e-430d-bc46-094ce8c336a3"
    },
    {
      "server": "myanmar.visa.com",
      "server_port": 8443,
      "tag": "23_V9_myanmar.visa.com_8443",
      "tls": {
        "enabled": true,
        "server_name": "23.vvread.workers.dev",
        "insecure": false,
        "utls": {
          "enabled": true,
          "fingerprint": "chrome"
        }
      },
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "23.vvread.workers.dev"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "6760def2-aa2e-430d-bc46-094ce8c336a3"
    },
    {
      "server": "www.visa.com.tw",
      "server_port": 2053,
      "tag": "23_V10_www.visa.com.tw_2053",
      "tls": {
        "enabled": true,
        "server_name": "23.vvread.workers.dev",
        "insecure": false,
        "utls": {
          "enabled": true,
          "fingerprint": "chrome"
        }
      },
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "23.vvread.workers.dev"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "6760def2-aa2e-430d-bc46-094ce8c336a3"
    },
    {
      "server": "www.visaeurope.ch",
      "server_port": 2083,
      "tag": "23_V11_www.visaeurope.ch_2083",
      "tls": {
        "enabled": true,
        "server_name": "23.vvread.workers.dev",
        "insecure": false,
        "utls": {
          "enabled": true,
          "fingerprint": "chrome"
        }
      },
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "23.vvread.workers.dev"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "6760def2-aa2e-430d-bc46-094ce8c336a3"
    },
    {
      "server": "www.visa.com.br",
      "server_port": 2087,
      "tag": "23_V12_www.visa.com.br_2087",
      "tls": {
        "enabled": true,
        "server_name": "23.vvread.workers.dev",
        "insecure": false,
        "utls": {
          "enabled": true,
          "fingerprint": "chrome"
        }
      },
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "23.vvread.workers.dev"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "6760def2-aa2e-430d-bc46-094ce8c336a3"
    },
    {
      "server": "www.visasoutheasteurope.com",
      "server_port": 2096,
      "tag": "23_V13_www.visasoutheasteurope.com_2096",
      "tls": {
        "enabled": true,
        "server_name": "23.vvread.workers.dev",
        "insecure": false,
        "utls": {
          "enabled": true,
          "fingerprint": "chrome"
        }
      },
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "23.vvread.workers.dev"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "6760def2-aa2e-430d-bc46-094ce8c336a3"
    },
    {
      "server": "usa.visa.com",
      "server_port": 443,
      "tag": "71_V8_usa.visa.com_443",
      "tls": {
        "enabled": true,
        "server_name": "zj.jzznl.us.kg",
        "insecure": false,
        "utls": {
          "enabled": true,
          "fingerprint": "chrome"
        }
      },
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "zj.jzznl.us.kg"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "347dbca7-11e8-463e-9524-c9021dc503bc"
    },
    {
      "server": "myanmar.visa.com",
      "server_port": 8443,
      "tag": "71_V9_myanmar.visa.com_8443",
      "tls": {
        "enabled": true,
        "server_name": "zj.jzznl.us.kg",
        "insecure": false,
        "utls": {
          "enabled": true,
          "fingerprint": "chrome"
        }
      },
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "zj.jzznl.us.kg"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "347dbca7-11e8-463e-9524-c9021dc503bc"
    },
    {
      "server": "www.visa.com.tw",
      "server_port": 2053,
      "tag": "71_V10_www.visa.com.tw_2053",
      "tls": {
        "enabled": true,
        "server_name": "zj.jzznl.us.kg",
        "insecure": false,
        "utls": {
          "enabled": true,
          "fingerprint": "chrome"
        }
      },
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "zj.jzznl.us.kg"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "347dbca7-11e8-463e-9524-c9021dc503bc"
    },
    {
      "server": "www.visaeurope.ch",
      "server_port": 2083,
      "tag": "71_V11_www.visaeurope.ch_2083",
      "tls": {
        "enabled": true,
        "server_name": "zj.jzznl.us.kg",
        "insecure": false,
        "utls": {
          "enabled": true,
          "fingerprint": "chrome"
        }
      },
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "zj.jzznl.us.kg"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "347dbca7-11e8-463e-9524-c9021dc503bc"
    },
    {
      "server": "www.visa.com.br",
      "server_port": 2087,
      "tag": "71_V12_www.visa.com.br_2087",
      "tls": {
        "enabled": true,
        "server_name": "zj.jzznl.us.kg",
        "insecure": false,
        "utls": {
          "enabled": true,
          "fingerprint": "chrome"
        }
      },
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "zj.jzznl.us.kg"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "347dbca7-11e8-463e-9524-c9021dc503bc"
    },
    {
      "server": "www.visasoutheasteurope.com",
      "server_port": 2096,
      "tag": "71_V13_www.visasoutheasteurope.com_2096",
      "tls": {
        "enabled": true,
        "server_name": "zj.jzznl.us.kg",
        "insecure": false,
        "utls": {
          "enabled": true,
          "fingerprint": "chrome"
        }
      },
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "zj.jzznl.us.kg"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "347dbca7-11e8-463e-9524-c9021dc503bc"
    },
    {
      "server": "www.visa.com",
      "server_port": 80,
      "tag": "v029_V1_www.visa.com_80",
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "v29.920-worker.workers.dev"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "569661fb-4fd2-4b99-8596-1b7d9728bb5c"
    },
    {
      "server": "cis.visa.com",
      "server_port": 8080,
      "tag": "v029_V2_cis.visa.com_8080",
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "v29.920-worker.workers.dev"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "569661fb-4fd2-4b99-8596-1b7d9728bb5c"
    },
    {
      "server": "africa.visa.com",
      "server_port": 8880,
      "tag": "v029_V3_africa.visa.com_8880",
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "v29.920-worker.workers.dev"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "569661fb-4fd2-4b99-8596-1b7d9728bb5c"
    },
    {
      "server": "www.visa.com.sg",
      "server_port": 2052,
      "tag": "v029_V4_www.visa.com.sg_2052",
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "v29.920-worker.workers.dev"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "569661fb-4fd2-4b99-8596-1b7d9728bb5c"
    },
    {
      "server": "www.visaeurope.at",
      "server_port": 2082,
      "tag": "v029_V5_www.visaeurope.at_2082",
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "v29.920-worker.workers.dev"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "569661fb-4fd2-4b99-8596-1b7d9728bb5c"
    },
    {
      "server": "www.visa.com.mt",
      "server_port": 2086,
      "tag": "v029_V6_www.visa.com.mt_2086",
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "v29.920-worker.workers.dev"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "569661fb-4fd2-4b99-8596-1b7d9728bb5c"
    },
    {
      "server": "qa.visamiddleeast.com",
      "server_port": 2095,
      "tag": "v029_V7_qa.visamiddleeast.com_2095",
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "v29.920-worker.workers.dev"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "569661fb-4fd2-4b99-8596-1b7d9728bb5c"
    },
    {
      "server": "usa.visa.com",
      "server_port": 443,
      "tag": "v029_V8_usa.visa.com_443",
      "tls": {
        "enabled": true,
        "server_name": "v29.920-worker.workers.dev",
        "insecure": false,
        "utls": {
          "enabled": true,
          "fingerprint": "chrome"
        }
      },
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "v29.920-worker.workers.dev"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "569661fb-4fd2-4b99-8596-1b7d9728bb5c"
    },
    {
      "server": "myanmar.visa.com",
      "server_port": 8443,
      "tag": "v029_V9_myanmar.visa.com_8443",
      "tls": {
        "enabled": true,
        "server_name": "v29.920-worker.workers.dev",
        "insecure": false,
        "utls": {
          "enabled": true,
          "fingerprint": "chrome"
        }
      },
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "v29.920-worker.workers.dev"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "569661fb-4fd2-4b99-8596-1b7d9728bb5c"
    },
    {
      "server": "www.visa.com.tw",
      "server_port": 2053,
      "tag": "v029_V10_www.visa.com.tw_2053",
      "tls": {
        "enabled": true,
        "server_name": "v29.920-worker.workers.dev",
        "insecure": false,
        "utls": {
          "enabled": true,
          "fingerprint": "chrome"
        }
      },
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "v29.920-worker.workers.dev"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "569661fb-4fd2-4b99-8596-1b7d9728bb5c"
    },
    {
      "server": "www.visaeurope.ch",
      "server_port": 2083,
      "tag": "v029_V11_www.visaeurope.ch_2083",
      "tls": {
        "enabled": true,
        "server_name": "v29.920-worker.workers.dev",
        "insecure": false,
        "utls": {
          "enabled": true,
          "fingerprint": "chrome"
        }
      },
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "v29.920-worker.workers.dev"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "569661fb-4fd2-4b99-8596-1b7d9728bb5c"
    },
    {
      "server": "www.visa.com.br",
      "server_port": 2087,
      "tag": "v029_V12_www.visa.com.br_2087",
      "tls": {
        "enabled": true,
        "server_name": "v29.920-worker.workers.dev",
        "insecure": false,
        "utls": {
          "enabled": true,
          "fingerprint": "chrome"
        }
      },
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "v29.920-worker.workers.dev"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "569661fb-4fd2-4b99-8596-1b7d9728bb5c"
    },
    {
      "server": "www.visasoutheasteurope.com",
      "server_port": 2096,
      "tag": "v029_V13_www.visasoutheasteurope.com_2096",
      "tls": {
        "enabled": true,
        "server_name": "v29.920-worker.workers.dev",
        "insecure": false,
        "utls": {
          "enabled": true,
          "fingerprint": "chrome"
        }
      },
      "packet_encoding": "packetaddr",
      "transport": {
        "headers": {
          "Host": [
            "v29.920-worker.workers.dev"
          ]
        },
        "path": "/?ed=2560",
        "type": "ws"
      },
      "type": "vless",
      "uuid": "569661fb-4fd2-4b99-8596-1b7d9728bb5c"
    },
    {
      "type": "direct",
      "tag": "direct"
    },
    {
      "type": "dns",
      "tag": "dns-out"
    },
    {
      "type": "block",
      "tag": "block"
    }
  ],
  "route": {
    "rule_set": [
      {
        "tag": "youtube@cn",
        "type": "local",
        "format": "binary",
        "path": "../rulesets/geosite_youtube@cn.srs"
      },
      {
        "tag": "youtube",
        "type": "local",
        "format": "binary",
        "path": "../rulesets/geosite_youtube.srs"
      },
      {
        "tag": "telegram",
        "type": "local",
        "format": "binary",
        "path": "../rulesets/geosite_telegram.srs"
      },
      {
        "tag": "google-ads",
        "type": "local",
        "format": "binary",
        "path": "../rulesets/geosite_google-ads.srs"
      },
      {
        "tag": "CATEGORY-ADS",
        "type": "remote",
        "format": "binary",
        "url": "https://testingcf.jsdelivr.net/gh/MetaCubeX/meta-rules-dat@sing/geo/geosite/category-ads-all.srs",
        "download_detour": "🎯 全球直连"
      },
      {
        "tag": "GEOIP-CN",
        "type": "remote",
        "format": "binary",
        "url": "https://testingcf.jsdelivr.net/gh/MetaCubeX/meta-rules-dat@sing/geo/geoip/cn.srs",
        "download_detour": "🎯 全球直连"
      },
      {
        "tag": "GEOSITE-CN",
        "type": "remote",
        "format": "binary",
        "url": "https://testingcf.jsdelivr.net/gh/MetaCubeX/meta-rules-dat@sing/geo/geosite/cn.srs",
        "download_detour": "🎯 全球直连"
      },
      {
        "tag": "GEOLOCATION-!CN",
        "type": "remote",
        "format": "binary",
        "url": "https://testingcf.jsdelivr.net/gh/MetaCubeX/meta-rules-dat@sing/geo/geosite/geolocation-!cn.srs",
        "download_detour": "🎯 全球直连"
      }
    ],
    "rules": [
      {
        "rule_set": "youtube@cn",
        "outbound": "youtube"
      },
      {
        "domain_suffix": [
          "jsdelivr.net",
          "googleapis.com",
          "googleusercontent.com"
        ],
        "outbound": "youtube"
      },
      {
        "rule_set": "youtube",
        "outbound": "youtube"
      },
      {
        "domain_suffix": [
          "comments.app",
          "contest.com",
          "graph.org",
          "quiz.directory",
          "t.me",
          "tdesktop.com",
          "telega.one",
          "telegra.ph",
          "telegram-cdn.org",
          "telegram.dog",
          "telegram.me",
          "telegram.org",
          "telegram.space",
          "telesco.pe",
          "tg.dev",
          "tx.me",
          "usercontent.dev"
        ],
        "outbound": "tg"
      },
      {
        "ip_cidr": [
          "91.108.4.0/22",
          "91.108.8.0/22",
          "91.108.12.0/22",
          "91.108.16.0/22",
          "91.108.56.0/22",
          "149.154.160.0/22",
          "149.154.164.0/22",
          "149.154.168.0/22",
          "149.154.172.0/22"
        ],
        "outbound": "tg"
      },
      {
        "rule_set": "telegram",
        "outbound": "a"
      },
      {
        "rule_set": "google-ads",
        "outbound": "youtube"
      },
      {
        "domain_suffix": [
          "google.com.hk",
          "google.com",
          "gstatic.com"
        ],
        "outbound": "youtube"
      },
      {
        "domain_suffix": "aboluowang.com",
        "outbound": "a"
      },
      {
        "protocol": "dns",
        "port": 53,
        "outbound": "dns-out"
      },
      {
        "clash_mode": "direct",
        "outbound": "direct"
      },
      {
        "rule_set": "CATEGORY-ADS",
        "outbound": "🛑 全球拦截"
      },
      {
        "ip_is_private": true,
        "outbound": "🎯 全球直连"
      },
      {
        "rule_set": "GEOIP-CN",
        "outbound": "🎯 全球直连"
      },
      {
        "rule_set": "GEOSITE-CN",
        "outbound": "🎯 全球直连"
      },
      {
        "rule_set": "GEOLOCATION-!CN",
        "outbound": "🚀 节点选择"
      },
      {
        "clash_mode": "global",
        "outbound": "GLOBAL"
      },
      {
        "network": "udp",
        "port": 443,
        "outbound": "🛑 全球拦截"
      }
    ],
    "final": "GLOBAL",
    "auto_detect_interface": true
  },
  "dns": {
    "servers": [
      {
        "tag": "remote-dns",
        "address": "tls://8.8.8.8",
        "address_resolver": "remote-resolver-dns",
        "detour": "🚀 节点选择"
      },
      {
        "tag": "local-dns",
        "address": "https://223.5.5.5/dns-query",
        "address_resolver": "resolver-dns",
        "detour": "🎯 全球直连"
      },
      {
        "tag": "resolver-dns",
        "address": "223.5.5.5",
        "detour": "🎯 全球直连"
      },
      {
        "tag": "remote-resolver-dns",
        "address": "8.8.8.8",
        "detour": "🚀 节点选择"
      },
      {
        "tag": "block",
        "address": "rcode://success"
      }
    ],
    "disable_cache": false,
    "disable_expire": false,
    "independent_cache": false,
    "rules": [
      {
        "outbound": "any",
        "disable_cache": true,
        "server": "local-dns"
      },
      {
        "clash_mode": "direct",
        "server": "local-dns"
      },
      {
        "clash_mode": "global",
        "server": "remote-dns"
      },
      {
        "rule_set": "GEOSITE-CN",
        "server": "local-dns"
      },
      {
        "rule_set": "GEOLOCATION-!CN",
        "server": "remote-dns"
      }
    ],
    "fakeip": {
      "enabled": false,
      "inet4_range": "198.18.0.1/16",
      "inet6_range": "fc00::/18"
    },
    "final": "remote-dns",
    "strategy": "ipv4_only"
  }
}